Subject: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Sep 2010 06:08:49 +0200

> From: "Drew Adams" <[email-masked]>
> Cc: <[email-masked]>
> Date: Mon, 20 Sep 2010 15:24:22 -0700
> 
> A user in Emacs 20, 21, 22, 23 could have `mouse-drag-copy-region' nil, and thus
> not have mouse selection touch the kill ring - in principle (even if not in
> fact, because of a bug), and yet s?he was still able to select and paste using
> the mouse - between sessions, including sessions with different Emacs versions.
> 
> That ability is lost. This is a regression wrt the advertised behavior for Emacs
> 22 through 23 (ever since that user option has existed).

It isn't a regression on Windows, see below.  This thread was, at
least for me, only about w32.

> IOW, you seem to be just pointing out that there was an Emacs 22/23 bug here, in
> that `mouse-drag-copy-region' polluted the kill ring even when it was nil.

It's not a bug, it's how mouse selections work in Emacs: text gets to
the clipboard as a side effect of being put on the kill ring.  It has
always been like that, at least on Windows, in Emacs 23 and before, as
in Emacs 24.

> Not the intended, advertised behavior, but a buggy behavior.
> `mouse-drag-copy-region' was a no-op option.

That is a completely different issue.  mouse-drag-copy-region was not
a no-op only on X, where there's the PRIMARY selection in addition to
the clipboard.  Unless users of X are concerned about this change, I'm
not going to be.  (Neither do I understand why you should be, except
if you for some reason want to continue a pointless argument just for
the sake of it.)

> That new bug is the one I reported: "pasting mouse selection in
> other session".

That bug is solved, whether you like it or not, in exactly the way you
wanted: by having an option (that fortunately already existed) one
needs to customize.

And that is the last time I'm speaking on this bug.